Bug 560053 - [abrt] crash in ruby-1.8.6.383-6.fc12
[abrt] crash in ruby-1.8.6.383-6.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
abrt_hash:ff43e3b3b7f5955b729c2457470...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-29 13:52 EST by Edward Strauch
Modified: 2010-08-23 17:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: ruby-1.8.6.399-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 17:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (39.03 KB, text/plain)
2010-01-29 13:52 EST, Edward Strauch
no flags Details
Ruby Tk source (635 bytes, text/plain)
2010-01-29 13:57 EST, Edward Strauch
no flags Details

  None (edit)
Description Edward Strauch 2010-01-29 13:52:17 EST
abrt 1.0.4 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: ruby ./CheckButton.rb
comment: Possible problem with the ruby-tcltk package.
component: ruby
executable: /usr/bin/ruby
kernel: 2.6.31.12-174.2.3.fc12.i686.PAE
package: ruby-1.8.6.383-6.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Running the Frame.rb program causes core dump
2. Comment out the TkFrame.new() command, and the program run normally.
3.
Comment 1 Edward Strauch 2010-01-29 13:52:18 EST
Created attachment 387626 [details]
File: backtrace
Comment 2 Edward Strauch 2010-01-29 13:57:36 EST
Created attachment 387627 [details]
Ruby Tk source
Comment 3 Richard Z. 2010-02-17 09:14:29 EST
Interesting that it goes away when you dont TkFrame.new

I have never suceeded to run on of my ruby-tcltk programs on F10-F12 but for me TkFrame is pretty essential:(
Comment 4 Richard Z. 2010-02-17 09:21:30 EST
tested for fun - exactly the same problem and exactly the same workaround works on F10 as well.
Comment 5 Richard Z. 2010-02-17 12:54:30 EST
tested a more complex program after removing all TkFrame calls - still crashes with what appears to be random memory corruption.
Comment 7 Richard Z. 2010-05-12 10:01:51 EDT
thanks, I did recompile the package in F10 and my testcase now works without any glitches.

I expect the same result in F12 which I will hopefully be able to test within a day.

Should I test the ruby-1.9 packages again as well? Some weeks ago I tried but my tcltk testcase had many failures.
Comment 8 Mamoru TASAKA 2010-05-12 10:31:19 EDT
@Richard:
Thank you for testing. If Fedora's ruby-sig agrees to push this
ruby rpms, I will submit updates request.

I have not tested ruby 1.9 yet, however if Tk module of ruby 1.9
won't work, trying to replace ext/tk directory in ruby source with
the latest trunk, i.e.
http://svn.ruby-lang.org/repos/ruby/trunk/ext/tk/ 
may work.

... And it seems I have completely forgotton that the original
reporter was Edward, sorry. Edward, I appreciate if you would test
the new rpm, too.
Comment 9 Fedora Update System 2010-05-14 15:49:55 EDT
ruby-1.8.6.399-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-3.fc13
Comment 10 Fedora Update System 2010-05-14 15:50:20 EDT
ruby-1.8.6.399-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-3.fc12
Comment 11 Fedora Update System 2010-05-15 16:42:07 EDT
ruby-1.8.6.399-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ruby-1.8.6.399-3.fc12
Comment 12 Richard Z. 2010-05-15 19:09:44 EDT
for some reason I was not able to use the mentioned yum update command (see bellow). 

However I did recompile the exact source package on an up to date F12 system and it works fine, all problems gone.
The same test program caused immedaiate coredump just before the update.


# yum --enablerepo=updates-testing update ruby
Loaded plugins: auto-update-debuginfo, changelog, downloadonly, keys, presto,
              : refresh-packagekit, security
updates-testing/metalink                                 |  20 kB     00:01     
updates-testing                                          | 4.5 kB     00:00     
http://mirror1.atrpms.net/fedora/linux/updates/testing/12/i386/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates-testing
Trying other mirror.
updates-testing                                          | 4.5 kB     00:00     
http://fedora.tu-chemnitz.de/pub/linux/fedora/linux/updates/testing/12/i386/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates-testing
Trying other mirror.
...
...
Comment 13 Fedora Update System 2010-05-17 11:36:15 EDT
ruby-1.8.6.399-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-4.fc13
Comment 14 Fedora Update System 2010-05-17 11:38:23 EDT
ruby-1.8.6.399-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-4.fc12
Comment 15 Fedora Update System 2010-05-18 17:59:29 EDT
ruby-1.8.6.399-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ruby-1.8.6.399-4.fc12
Comment 16 Fedora Update System 2010-05-26 17:47:37 EDT
ruby-1.8.6.399-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-05-26 17:49:53 EDT
ruby-1.8.6.399-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-08-22 14:08:03 EDT
ruby-1.8.6.399-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-6.fc13
Comment 19 Fedora Update System 2010-08-22 14:11:03 EDT
ruby-1.8.6.399-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-6.fc12
Comment 20 Fedora Update System 2010-08-23 17:56:34 EDT
ruby-1.8.6.399-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.